title1 1976 CENSUS OF CANADA- BST: EA-LONG FORM- EAFAMB20
title2 SAS commands by S Kumar, UT/DLS 07/2001
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
             00         = 'CANADA'
       ;
VALUE  V7_F   1          = '500000 & UP'
             2          = '100000-499999'
             3          = '30000-99999'
             4          = '10000-29999'
             5          = '5000-9999'
             6          = '2500-4999'
             7          = '1000-2499'
             8          = '0-999'
       ;
VALUE  V11_F   1          = 'CENTRAL CITY'
             2          = 'REMAINDER OF COR'
             3          = 'URBAN FRINGE'
             4          = 'RURAL FRINGE'
             0          = 'NOT A CMA/CA'
       ;
VALUE  V12_F   1          = 'CMA'
             2          = 'CA'
             0          = 'NOT CMA OR CA'
       ;
VALUE  V14_F   1          = '100000 & UP'
             2          = '50000-99999'
             3          = '25000-49999'
             4          = '10000-24999'
             5          = '5000-9999'
             6          = '2000-4999'
             7          = '1000-1999'
             0          = 'NOT A CMA-CA'
       ;
VALUE  V18_F   1          = 'URBAN'
             0          = 'RURAL'
       ;
VALUE  V19_F   1          = '500000 & UP'
             2          = '100000-499999'
             3          = '30000-99999'
             4          = '10000-29999'
             5          = '5000-9999'
             6          = '2500-4999'
             7          = '1000-2499'
             8          = '0-999'
             0          = 'RURAL'
       ;
VALUE  V21_F   1          = 'CANADA'
             2          = 'PROV & TERRITORI'
             3          = 'FED ED'
             5          = 'ENUM AREA'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       FED   3-5
       EA   6-8
       CD   9-10
       CSD   11-14
       SGCCDCSD   15-19
       CSDSIZE   20-20
       CSDTYPE   21-22
       CCS   23-26
       CMACA   27-29
       CMACAPT   30-30
       CMACASEL   31-31
       SGCCMACA   32-34
       CMACASIZ   35-35
       CTPCTCOD   36-39
       CTPCTNUM   40-45
       SUBPREG   46-47
       URBRUR   48-48
       URBSIZE   49-49
       BLANK1   50-51
       RECTYPE   52-52
       V1   53-61
       V2   62-70
       V3   71-79
       V4   80-88
       V5   89-97
       V6   98-106
       V7   107-115
       V8   116-124
       V9   125-133
       V10   134-142
       V11   143-151
       V12   152-160
       V13   161-169
       V14   170-178
       V15   179-187
       V16   188-196
       V17   197-205
       V18   206-214
       V19   215-223
       V20   224-232
       V21   233-241
       V22   242-250
       V23   251-259
       V24   260-268
       V25   269-277
      ;
LABEL   PROV = 'Province (region)'
        FED = 'Federal electroral district'
        EA = 'Enumeration area'
        CD = 'Census division'
        CSD = 'Census subdivision'
        SGCCDCSD = 'Standard geographic code for CD/CSD'
        CSDSIZE = 'Census subdivision pop size gp'
        CSDTYPE = 'Census subdivision type code'
        CCS = 'Census consolidated subdivision'
        CMACA = 'CMA/CA area code'
        CMACAPT = 'CMA/CA part'
        CMACASEL = 'CMA/CA selector'
        SGCCMACA = 'Standard geographic code for CMA-CA'
        CMACASIZ = 'CMA-CA pop size gp'
        CTPCTCOD = 'Census tract or prov CT code'
        CTPCTNUM = 'Census tract or prov CT number'
        SUBPREG = 'Subprovincial region'
        URBRUR = 'Urban-Rural area'
        URBSIZE = 'Urban area pop size gp'
        BLANK1 = 'Blank- for future use'
        RECTYPE = 'Record type'
        V1   = 'Husband-wife fam-husbands: tot'
        V2   = 'Husbands: employed'
        V3   = 'Husbands: unemployed'
        V4   = 'Husbands: tot in LF'
        V5   = 'Husbands: not in LF'
        V6   = 'Husband-wife fam- wives: tot'
        V7   = 'Husband-wife fam- wives: employed'
        V8   = 'Husband-wife fam- wives: unemployed'
        V9   = 'Husband-wife fam- wives: tot in LF'
        V10  = 'Husband-wife fam- wives: not in LF'
        V11  = 'Lone parent fam- parents: tot parents'
        V12  = 'Lone parent fam- parents: employed'
        V13  = 'Lone parent fam- parents: unemployed'
        V14  = 'Lone parent fam- parents: tot in LF'
        V15  = 'Lone parent fam- parents: not in LF'
        V16  = 'Male lone parent fam-parents: tot parents'
        V17  = 'Male lone parent fam-parents: employed'
        V18  = 'Male lone parent fam-parents: unemployed'
        V19  = 'Male lone parent fam-parents: tot in LF'
        V20  = 'Male lone parent fam-parents: not in LF'
        V21  = 'Female lone parent fam-parents: tot parents'
        V22  = 'Female lone parent fam-parents: employed'
        V23  = 'Female lone parent fam-parents: unemployed'
        V24  = 'Female lone parent fam-parents: tot in LF'
        V25  = 'Female lone parent fam-parents: not in LF'
      ;
FORMAT  PROV              V1_F.
        CSDSIZE           V7_F.
        CMACAPT           V11_F.
        CMACASEL          V12_F.
        CMACASIZ          V14_F.
        URBRUR            V18_F.
        URBSIZE           V19_F.
        RECTYPE           V21_F.
;
